/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 10/04/2025

es15. (multipli)
Scrivere una funzione a due parametri interi A e N che memorizzi nel
file di testo output.txt i primi N multipli di A (un solo multiplo per
ogni riga).
*/

#include <iostream>

using namespace std;

void multipli(const char * nomeFile, int &a, int &n);

int main(void) {
	int a;
	int n;
	
	cout << "Inserisci un valore: ";
	cin >> a;
	
	cout << "Inserisci il numero di valori: ";
	cin >> n;
	
	multipli("output.txt", a, n);
	
	return 0;
}

void multipli(const char * nomeFile, int &a, int &n) {
	FILE * fp = fopen(nomeFile, "wt");
	
	if (fp != NULL) {
		for (int i = 0; i < n; i++) {
			int c = i * a;
			fprintf(fp, "%d\n", c);
		}
		
		fclose(fp);
	} else {
		perror("Error (source)");
	}
}